
//[2012.07.11.수][추가!!!]
#include "기계닉스_이름정의.h"

//[모양]
//{
    //[2012.08.21.화][완료!!!]
    void Ide_모양만들기(void);

    //[2012.04.30.월][완료!!!]
    void Ide_모양삭제(void);

//}

//[이벤트 처리 관련]
//{
    //[2010.06.10.목][완료!!!]
    void GUI_이벤트(unsigned long  p알림문64);

    //[2010.06.09.수][완료!!!]
    void _GVmos_이벤트_XClose(void);

    //[2010.06.10.목][완료!!!]
    void _Btn_통신포트번호_이벤트_MClick(void);

    //[2010.06.10.목][완료!!!]
    void _Btn_통신포트열기닫기_이벤트_MClick(void);

    //[2010.06.16.수][완료!!!]
    void _Btn_현재상태확인_이벤트_MClick(void);

    //[2010.06.14.월][완료!!!]
    void _Btn_제어기번호_이벤트_MClick(void);

    //[2010.06.14.월][완료!!!]
    void _Btn_통신률_이벤트_MClick(void);

    //[2010.06.14.월][완료!!!]
    void _Btn_보고자_이벤트_MClick(void);

    //[2010.06.14.월][완료!!!]
    void _Btn_구성원_이벤트_MClick(void);

    //[2010.06.14.월][완료!!!]
    void _Btn_각도구동_이벤트_MClick(void);

    //[2010.07.24.토][완료!!!]
    void _Btn_듀티구동_이벤트_MClick(void);

    //[2010.07.25.일][완료!!!]
    void _Btn_값_이벤트_MClick(void);

    //[2010.07.24.토][완료!!!]
    void _Scr_값_이벤트_Scroll(int  p위치);

    //[2010.06.17.목][완료!!!]
    void _Btn_읽기_이벤트_MClick(void);

    //[2010.07.24.토][완료!!!]
    void _Btn_쓰기_이벤트_MClick(void);

    //[2010.07.24.토][완료!!!]
    bool _Tab_항목_이벤트_Select(int  p선택번호);

    //[2010.06.14.월][완료!!!]
    void _Tab_서보번호10의자리_이벤트_Select(int  p선택번호);

    //[2010.06.14.월][완료!!!]
    void _Tab_서보번호1의자리_이벤트_Select(int  p선택번호);

    //[2010.06.14.월][완료!!!]
    void _Btn_설정읽기_이벤트_MClick(void);

    //[2010.06.14.월][완료!!!]
    void _Btn_설정쓰기_이벤트_MClick(void);

    //[2010.06.20.일][완료!!!]
    void _Btn_설정열기_이벤트_MClick(void);

    //[2010.06.20.일][완료!!!]
    void _Btn_설정저장_이벤트_MClick(void);

    //[2010.06.15.화][완료!!!]
    void _Btn_설정보기_이벤트_MClick(void);

    //[2012.07.03.화][완료!!!]
    void _Btn_설정문서저장_이벤트_MClick(void);

    //[2010.06.14.월][완료!!!]
    void _Btn_시작상태고정_이벤트_MClick(void);

    //[2010.06.14.월][완료!!!]
    void _Btn_재기동_이벤트_MClick(void);

    //[2010.06.14.월][완료!!!]
    void _Btn_기동_이벤트_MClick(void);

    //[2010.06.14.월][완료!!!]
    void _Btn_정지_이벤트_MClick(void);

    //[2010.06.12.토][완료!!!]
    void _Chk_풍선도움말_이벤트_MClick(void);

//}

//[부가 함수들]
//{
    //[2010.06.14.월][완료!!!]
    void _Ide_알림글(int    p기호,
                    char  *p문자열);

    //[2010.06.14.월][완료!!!]
    void _Ide_통신오류알림(void);

    //[2010.06.16.수][완료!!!]
    void _Scr_값_유효(unsigned char  p유효_무효);

    //[2010.06.14.월][완료!!!]
    unsigned char _서보번호조합(void);



    //[2012.07.03.화][완료!!!]
    void _설정정보_구조체_내용정리(char  *r저장소);

    //[2010.07.25.일][완료!!!]
    void _설정정보_구조체_내용보기(void);

    //[2012.07.03.화][완료!!!]
    void _설정정보_구조체_문서저장(void);



    //[2012.07.02.월][완료!!!]
    int _Prt_출력자료_10진수(char  *p접두문자열,
                          long   p값,
                          char  *p접미문자열,
                          char  *r합성된문자열);

    //[2012.07.02.월][완료!!!]
    int _Prt_출력자료_16진수(char  *p접두문자열,
                          long   p값,
                          int    p자리수,
                          char  *p접미문자열,
                          char  *r합성된문자열);

    //[2012.07.02.월][완료!!!]
    int _Prt_출력자료_2진수(char  *p접두문자열,
                         long   p값,
                         int    p비트수,
                         char  *p접미문자열,
                         char  *r합성된문자열);

//}



